Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleappsadapter
Class OracleappsPreparedStatementAgent

    com.stc.connector.oracleappsadapter.OracleappsPreparedStatementAgent

Direct Known Subclasses:
  OracleappsCallableStatementAgent

public class OracleappsPreparedStatementAgent

Agent hosts PreparedStatement interface for Oracleapps.

Constructor Summary
`OracleappsPreparedStatementAgent()` Default constructor to create an OracleappsPraparedStatementAgent instance.
`OracleappsPreparedStatementAgent(Session session)` Constructor to create an OracleappsPraparedStatementAgent instance.
`OracleappsPreparedStatementAgent(Session session, int iScroll, int iConcur)` Constructor to create an OracleappsPraparedStatementAgent instance.
`OracleappsPreparedStatementAgent(Session session, java.lang.String sSql)` Constructor to create an OracleappsPraparedStatementAgent instance.
`OracleappsPreparedStatementAgent(Session session, java.lang.String sSql, int iScroll, int iConcur)` Constructor to create an OracleappsPraparedStatementAgent instance.

Method Summary
`boolean` | `resultsAvailable()` Determines whether results (Update Counts and/or Result Sets) are available after an execute.
`void` | `setOracleappsCursorOrds(int[] cursorOrds)` Sets the Oracleapps cursor ordinals.

Constructor Detail

### OracleappsPreparedStatementAgent

    public OracleappsPreparedStatementAgent()

  Default constructor to create an OracleappsPraparedStatementAgent instance.

### OracleappsPreparedStatementAgent

    public OracleappsPreparedStatementAgent(Session session)

  Constructor to create an OracleappsPraparedStatementAgent instance.

  Parameters:
    `session` - a Session object used to hold connection information.

### OracleappsPreparedStatementAgent

    public OracleappsPreparedStatementAgent(Session session,
                                            int iScroll,
                                            int iConcur)

  Constructor to create an OracleappsPraparedStatementAgent instance.

  Parameters:
    `session` - a Session object used to hold connection information.
    `iScroll` - resultset type; TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE.
    `iConcur` - concurrency type; CONCUR_READ_ONLY, CONCUR_UPDATABLE.

### OracleappsPreparedStatementAgent

    public OracleappsPreparedStatementAgent(Session session,
                                            java.lang.String sSql)

  Constructor to create an OracleappsPraparedStatementAgent instance.

  Parameters:
    `session` - a Session object used to hold connection information.
    `sSql` - a SQL statement for the prepared statement.

### OracleappsPreparedStatementAgent

    public OracleappsPreparedStatementAgent(Session session,
                                            java.lang.String sSql,
                                            int iScroll,
                                            int iConcur)

  Constructor to create an OracleappsPraparedStatementAgent instance.

  Parameters:
    `session` - a Session object used to hold connection information.
    `sSql` - a SQL statement for the prepared statement.
    `iScroll` - resultset type; TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE
    `iConcur` - concurrency type; CONCUR_READ_ONLY, CONCUR_UPDATABLE.

Method Detail

### resultsAvailable

    public boolean resultsAvailable()
                             throws java.sql.SQLException

  Determines whether results (Update Counts and/or Result Sets) are available after an execute.

  Parameters:
    None.
  Returns:
    `true` if Update Counts and/or Result Sets are available.
  Throws:
    `java.sql.SQLException` - when SQL problems occur. when SQL problems occur.

### setOracleappsCursorOrds

    public void setOracleappsCursorOrds(int[] cursorOrds)

  Sets the Oracleapps cursor ordinals.

  Parameters:
    `cursorOrds` - an array of integer ordinals.
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 by SeeBeyond Technology Corporation. All Rights Reserved.